//
// php-armadillo/interfaces.hh
//
// @Author CismonX
//

#ifndef PHP_ARMA_INTERFACES_HH
#define PHP_ARMA_INTERFACES_HH

#include <php.h>

namespace php_arma
{
    void internal_interfaces_init();

    extern zend_class_entry *common_ce;

    extern zend_class_entry *vector_ce, *matrix_ce;

    extern zend_class_entry *dense_ce, *sparse_ce;
    extern zend_class_entry *dense_vector_ce;

    extern zend_class_entry *resizable_ce;
    extern zend_class_entry *resizable_vector_ce, *resizable_matrix_ce;

    extern zend_class_entry *subview_ce;
    extern zend_class_entry *diagonal_ce;
    extern zend_class_entry *scalar_ce;
}

#endif //!PHP_ARMA_INTERFACES_HH
