<?php

namespace Arma;

/**
 * Represents a complex number.
 *
 * @package Arma
 */
abstract class Complex
{
    /**
     * Real part of complex number.
     *
     * @var number
     */
    public $real;

    /**
     * Imaginary part of complex number.
     *
     * @var number
     */
    public $imag;

    /**
     * Constructor.
     *
     * @param number $real[optional]
     * @param number $imag[optional]
     */
    abstract function __construct($real, $imag);
}
