//
// php-armadillo/php_arma.cc
//
// @Author CismonX
//

#include "php_arma.hh"
#include "interfaces.hh"
#include "fill.hh"
#include "complex.hh"

#include <ext/standard/info.h>

PHP_MINIT_FUNCTION(arma)
{
    php_arma::internal_interfaces_init();
    php_arma::fill_init();
    php_arma::complex_init();

    return SUCCESS;
}

PHP_MINFO_FUNCTION(arma)
{
    php_info_print_table_start();
    php_info_print_table_header(2, "armadillo support", "enabled");
    php_info_print_table_end();
}

zend_module_entry arma_module_entry = {
    STANDARD_MODULE_HEADER,
    "arma",
    NULL,
    PHP_MINIT(arma),
    NULL,
    NULL,
    NULL,
    PHP_MINFO(arma),
    PHP_ARMA_VERSION,
    STANDARD_MODULE_PROPERTIES
};

#ifdef COMPILE_DL_ARMA
ZEND_GET_MODULE(arma)
#endif
